
<div class="container-fluid py-4">
    <div class="row">
      <div class="col-12">
        <div class="card my-4">
            <div class="card-header p-0 position-relative mt-n4 mx-3 z-index-2">
            <div class="bg-gradient-primary shadow-primary border-radius-lg pt-4 pb-3">
                <h4 class="text-white font-weight-bolder text-capitalize mt-2 mb-0">Empleados</h4>
            </div>
            </div>
            
            <div class="card-body px-0 pb-2">
            <div class="table-responsive p-0">
                <input type="text"
                    class="form-control mb-2"
                    placeholder="Filtrar empleados"
                    #txtSearch (keyup)="buscarEmpleado(txtSearch.value)"/>
                <table class="table align-items-center mb-0">
                <thead>                 
                    <tr>                   
                    <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">ID</th> 
                    <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Nombre</th>
                    <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Correo</th>
                    <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Estado</th>
                    <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Pais</th>
                    <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Editar|Eliminar</th> 
                    <th class="text-secondary opacity-7"></th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let item of mostrar_empleados | filtroEmpleado:search | 
                                            paginate: { 
                                            itemsPerPage: 5, 
                                            currentPage: page,
                                            totalItems: totalEmpleados 
                                            }" >
                        <td>{{item.id_empleado}}</td>          
                        <td>{{item.primer_nombre +" "+ item.otros_nombres +" "+ item.primer_apellido +" "+ item.segundo_apellido}}</td>
                        <td>{{item.correo_electronico}}</td>
                        <td class="align-middle text-center text-sm">
                            <span class="badge badge-sm bg-gradient-{{item.estado==1 ? 'success' : 'secondary'}}">
                                {{item.estado==1 ? 'Activo' : 'Inactivo'}}
                            </span>
                        </td>
                        <td>{{item.pais}}</td>
                        <td>
                        <a class="text-secondary font-weight-bold text-xs" routerLink= "/editar-empleado/{{ item.id_empleado }}">Editar</a>
                        | 
                        <a class="text-secondary font-weight-bold text-xs" (click)="eliminarEmpleado(item.id_empleado)" role="button">Eliminar</a>
                        </td>
                    </tr>
                </tbody>
                </table>
                <pagination-controls class="text-center my-pagination" (pageChange)="page = $event" previousLabel="Anterior" nextLabel="Siguiente"></pagination-controls>
            </div>
            </div>
        </div>
       </div>
    </div>       
</div>

<style>
    .my-pagination /deep/ .ngx-pagination .current {
        background: linear-gradient(195deg, #EC407A 0%, #D81B60 100%);
    }
</style>




